@charset "UTF-8";
html {
  overflow: hidden;
}
/****** More of My Resets *******/
*,
*::before,
*::after {
    box-sizing: border-box;
}

button {
    background-color: transparent;
    color: inherit;
    border-width: 0;
    padding: 0;
    margin: 0;
    cursor: pointer;
    text-align: inherit;
}

img {
    display: block;
    max-width: 100%;
}

/* Responsive Variables */
@media (min-width:768px) {
    .is-only-mobile {
        display: none !important;
    }
}

/* Multi direcrtion Languages Support Variables*/
/* colors */
:root {
    --white:#fff;
    --dark-gray:#333;
    --main-gray:#ededed;
    --light-gray:#f7f7f7;
    --dark-green:#009688;
    --info-message:rgba(225,245,254,.92);
  /* blue messages */
}

/*mixin*/
/*scrolls*/
::-webkit-scrollbar {
  width: 6px !important;
  height: 6px !important;
  background-color: #f5f5f5;
}

::-webkit-scrollbar-thumb {
  background-color: rgba(0, 0, 0, 0.2);
}

::-webkit-scrollbar-track {
  background-color: rgba(255, 255, 255, 0.08);
}

/* typography */
html.content-chats {
  font-size: 1px;
  /*for using REM units*/
}

.content-chats li {
    list-style-type: none;
}
.content-chats {
    font-family: Segoe UI, Helvetica Neue, Helvetica, Lucida Grande, Arial, Ubuntu, Cantarell, Fira Sans, sans-serif;
    font-size: 1rem;
    line-height: 1.3;
    color: var(--dark-gray);
}

/* background */
.content-chats  {    
    min-height: 100vh;
}

/* utilities classes (always with !important)*/
.u-flex {
    display: flex !important;
}

.u-flex-column {
    flex-direction: column !important;
}

.u-margin-end {
    margin-right: 10px !important;
}

.u-hide {
    display: none !important;
}

/* animation */
@keyframes clickableAnimation {
    0% {
        transform: scale(1);
    }
    95% {
        transform: scale(1);
    }
    96% {
        transform: scale(1.5) rotate(-30deg);
    }
    97% {
        transform: scale(1.5) rotate(30deg);
    }
    100% {
        transform: scale(1);
    }
}
.u-animation-click {
    animation: clickableAnimation 20s ease-in-out -17s infinite;
}

/*icons*/
.icon-back {
    transform: scale(1.4);
    transform-origin: center;
}

.icon-status {
    filter: grayscale(1) opacity(0.3) invert(1);
}

.icon-silent {
    filter: grayscale(1) opacity(0.3);
}

.icon-menu {
    text-align: center;
}
.icon-menu::before {
    content: "";
    display: inline-block;
    vertical-align: middle;
    width: 4px;
    height: 4px;
    border-radius: 50%;
    background-color: var(--dark-gray);
    box-shadow: 0px -6px var(--dark-gray), 0px 6px var(--dark-gray);
}

/* Grid Layout */
.main-grid {
    --private-block-margins:0;
    /* private variables are for local componenet use */
    position: relative;
    left: 0;
    right: 0;
    top: var(--private-block-margins);
    bottom: var(--private-block-margins);
    box-shadow: 0 1px 1px 0 rgba(0, 0, 0, 0.06), 0 2px 5px 0 rgba(0, 0, 0, 0.2);
    overflow: hidden;
    height: 93vh;
    width: 100%;
    /*logic styles*/
}
@media (max-width:767px), (min-width:768px) and (max-width:1023px), (min-width:1024px) and (max-width:1439px) {
    .main-grid > * {
        max-height: 100vh;
    }
}
@media (min-width:1440px) {
    .main-grid > * {
        max-height: calc(100vh - 40px);
    }
}
@media (min-width:768px) {
    .main-grid {
        display: grid;
        grid-template-areas: "side-a main side-b";
        grid-template-columns: minmax(260px, 30%) 1fr auto;
    }
}
@media (min-width:1440px) {
    .main-grid {
        --private-block-margins:20px;        
        margin: 0 auto;
    }
}
@media (max-width:767px) {
    .main-grid.is-main-info-open .main-side {
        display: none;
    }
    .main-grid.is-main-info-open .main-content {
        display: none;
    }
    .main-grid.is-main-info-open .main-info {
        width: 100%;
        height: 100%;
    }
}
@media (min-width:768px) and (max-width:1023px) {
    .main-grid.is-main-info-open {
        grid-template-areas: "side-a side-b";
        grid-template-columns: minmax(260px, 30%) 1fr;
    }
    .main-grid.is-main-info-open .main-content {
        display: none;
    }
    .main-grid.is-main-info-open .main-info {
        width: auto;
    }
}
@media (max-width:767px) {
    .main-grid.is-message-open .main-content {
        transform: translateX(-100%);
    }
}

.main-side {
  grid-area: side-a;
}

.main-content {
  grid-area: main;
}

.main-info {
  grid-area: side-b;
}

/* elements */
.profile-image {
  flex-shrink: 0;
  display: block;
  height: 40px;
  border-radius: 50%;
}

.big-title {
  margin: 5px 0;
  font-size: 1rem;
}

.section-title {
  color: var(--dark-green);
  font-size: 1rem;
  margin-bottom: 10px;
}

.info-text {
  font-size: 1rem;
  color: rgba(0, 0, 0, 0.45);
}

.status {
    letter-spacing: -14px;
    filter: grayscale(1);
    font-size: 0.6rem;
    padding-top: 8px;
    margin-left: 5px;
    color: cornflowerblue;
}
.status.is-seen {
    filter: grayscale(0);
}

.text-input {
  -moz-appearance: none;
  -webkit-appearance: none;
  appearance: none;
  background-color: var(--white);
  padding: 10px;
  margin: 5px 10px;
  border-radius: 20px;
  border-width: 0;
}
.text-input:focus {
  outline: none;
}

.common-search {
  display: flex;
  flex-shrink: 0;
  background: var(--light-gray);
  position: relative;
  transition: 0.2s;
}
.common-search::before {
  content: "\f002";
  position: absolute;
  left: 30px;
  top: 20px;
  filter: grayscale(1) opacity(0.5);
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
}
.common-search:focus-within {
  background-color: var(--white);
}
.common-search .text-input {
  flex: 1;
  padding-left: 50px;
  margin: 8px 16px;
}

.unread-messsages {
  display: block;
  min-width: 20px;
  padding: 3px;
  border-radius: 12px;
  margin: 0 5px;
  background-color: #3cdf7a;
  color: var(--white);
  font-size: 0.7rem;
  font-weight: bold;
  text-align: center;
}
.unread-messsages:empty {
  display: none;
}

.common-button {
  padding: 8px;
}
.common-button:hover, .common-button:focus {
  outline: none;
}
.common-button:hover .icon, .common-button:focus .icon {
  filter: grayscale(1) opacity(1);
}
.common-button .icon {
  display: block;
  width: 24px;
  height: 24px;
  font-size: 23px;
  vertical-align: middle;
  text-align: center;
  filter: grayscale(1) opacity(0.5);
  transition: 0.2s;
}

.twitter {
  display: block;
  color: #1da1f2;
}
.twitter-label {
  margin-right: 10px;
}
.twitter-user {
  font-size: 20px;
}

/*** components ***/
.common-header {
  --common-header-border-color:#e0e0e0;
  display: flex;
  background-color: var(--main-gray);
  height: 60px;
  padding: 10px 16px;
  flex-shrink: 0;
}
.common-header-content {
  text-overflow: ellipsis;
  white-space: nowrap;
  overflow: hidden;
  display: block;
}
.common-header-title {
  text-overflow: ellipsis;
  white-space: nowrap;
  overflow: hidden;
  display: block;
  font-size: 1rem !important;
}
.common-header-start {
  display: flex;
  margin-right: auto;
}
.common-header-content {
  margin: auto 15px;
  line-height: 1.5;
}
.common-header-status {
    font-size: 0.7rem;
}

.common-nav-list {
  display: flex;
  list-style-type: none;
}
.common-nav-item {
  margin-left: 10px;
}

.common-message-content {
    font-size: 0.8rem;
    margin-bottom: 0;
}
/*main*/
.main-content {
  display: flex;
  flex-direction: column;
}
.main-content .common-header {
  border-left: solid 1px var(--common-header-border-color);
}

.messanger {
    overflow-y: auto;
    scrollbar-width: thin;
    /*-webkit-overflow-scrolling:touch;*/
    flex: 1;
    background-color: #e5ddd5;
    max-height: 78vh;
}
.messanger-list {
    display: flex;
    flex-direction: column;
    padding: 20px 7%;
}

.common-message {
    position: relative;
    background-color: var(--white);
    width: -moz-fit-content;
    width: fit-content;
    max-width: 500px;
    padding: 8px;
    border-radius: 8px;
    box-shadow: 0 1px 0.5px rgba(0, 0, 0, 0.13);
    margin-bottom: 10px;
}
.common-message time {
  font-size: 0.7rem;
  color: rgba(0, 0, 0, 0.45);
  float: right;
  margin-top: 8px;
}
.common-message .status {
  float: right;
  padding-right: 10px;
  text-align: end;
}
.common-message::before {
  position: absolute;
  left: -10px;
  top: 0;
  content: "";
  display: block;
  border: solid;
  border-width: 0px 16px 16px 0px;
  border-color: transparent;
  border-right-color: var(--white);
}
.common-message.is-you {
  --user-color-message:#cfe9ba;
  align-self: flex-end;
  background-color: var(--user-color-message);
}
.common-message.is-you::before {
    left: auto;
    right: -28px;
    border-width: 0px 16px 16px 16px;
    border-color: transparent;
    border-left-color: var(--user-color-message);
}
.common-message.is-you + .is-you::before {
    display: none;
}
.common-message.is-other + .is-other::before {
    display: none;
}
.common-message.is-time {
  align-self: center;
  background-color: var(--info-message);
  color: rgba(74, 74, 74, 0.88);
  font-size: 1rem;
  text-transform: uppercase;
}
.common-message.is-time::before {
  display: none;
}

.message-box {
    display: flex;
    flex-shrink: 0;
    background-color: #f0f0f0;
    padding: 5px 10px;
}
.message-box .text-input {
  flex: 1;
}
.message-box .text-input:empty::before {
  content: "Type a message";
  font-size: 1rem;
  opacity: 0.5;
}

/*side (users)*/
.main-side {
  display: flex;
  flex-direction: column;
  background-color: var(--white);
}

.chats {
  overflow-y: auto;
  scrollbar-width: thin;
  /*-webkit-overflow-scrolling:touch;*/
  background-color: var(--white);
}

.chats-list {
    padding-left: 0;
}
.chats-item {
  /* layout grid */
  /*** end grid ***/
  /*overrides last item*/
}
.chats-item-button {
  display: grid;
  grid-template-columns: 50px 1fr;
  grid-column-gap: 15px;
  padding: 0 15px;
  cursor: pointer;
  grid-template-areas: "image header" "image content";
}
.chats-item-button:focus {
  background-color: #ebebeb;
  outline: none;
}
.chats-item .profile-image {
  grid-area: image;
}
.chats-item-header {
  grid-area: header;
}
.chats-item-content {
  grid-area: content;
}
.chats-item .profile-image {
  flex-shrink: 0;
  height: 50px;
  margin: auto;
}
.chats-item-header {
  text-overflow: ellipsis;
  white-space: nowrap;
  overflow: hidden;
  display: block;
  display: flex;
  padding-top: 10px;
}
.chats-item-title {
  text-overflow: ellipsis;
  white-space: nowrap;
  overflow: hidden;
  display: block;
  flex: 1;
  font-weight: bold;
  margin-right: 10px;
  font-size: 0.8rem;
}
.chats-item-time {
  font-size: 0.7rem;
  opacity: 0.6;
}
.chats-item-last {
  flex: 1;
  opacity: 0.6;
  display: -webkit-box;
  -webkit-line-clamp: 1;
  -webkit-box-orient: vertical;
  overflow: hidden;
  font-size: 0.8rem;
}
.chats-item-content {
  display: flex;
  padding-bottom: 10px;
  border-bottom: solid 1px #f2f2f2;
}
.chats-item-info {
  display: flex;
}
.chats-item:last-child .chats-item-content {
  border-bottom-width: 0;
}

/*side (chat info)*/
.main-info {
  display: flex;
  flex-direction: column;
  background-color: var(--white);
  width: 300px;
}
.main-info .common-header {
  border-left: solid 1px var(--common-header-border-color);
}
.main-info-content {
  overflow-y: auto;
  scrollbar-width: thin;
  /*-webkit-overflow-scrolling:touch;*/
  background-color: var(--light-gray);
}
.main-info-image {
  display: block;
  max-width: 200px;
  margin: 0 auto;
  margin-bottom: 20px;
  border-radius: 50%;
}

.common-box {
  background-color: var(--white);
  padding: 20px;
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.08);
  margin-bottom: 10px;
}
.common-box p {
  font-size: 0.8rem;
  color: #4a4a4a;
}

.select-chat {
    background: #e0e0e0;
}

/* CSS Logilcs */
#message-box {
  /*when textbox empty show microhpone*/
  /*when textbox with texy show submit button*/
}
#message-box:empty ~ #submit-button {
  display: none;
}
#message-box:not(:empty) ~ #voice-button {
  display: none;
}